FIX::Trailer Class Reference

`#include <Message.h>`

Inheritance diagram for FIX::Trailer:
[legend]
Collaboration diagram for FIX::Trailer:
[legend]

## Public Member Functions

| Trailer ()
| Trailer (const message_order &order)
void | addGroup (const FIX::Group &group)
void | replaceGroup (unsigned num, const FIX::Group &group)
Group & | getGroup (unsigned num, FIX::Group &group) const throw ( FieldNotFound )
void | removeGroup (unsigned num, const FIX::Group &group)
void | removeGroup (const FIX::Group &group)
bool | hasGroup (const FIX::Group &group) const
bool | hasGroup (unsigned num, const FIX::Group &group) const
Public Member Functions inherited from FIX::FieldMap
| FieldMap (const message_order &order=message_order(message_order::normal))
| FieldMap (const int order[])
| FieldMap (const FieldMap &copy)
virtual | ~FieldMap ()
FieldMap & | operator= (const FieldMap &rhs)
void | setField (const FieldBase &field, bool overwrite=true) throw ( RepeatedTag )
| Set a field without type checking. More...
void | setField (int tag, const std::string &value) throw ( RepeatedTag, NoTagValue )
| Set a field without a field class. More...
bool | getFieldIfSet (FieldBase &field) const
| Get a field if set. More...
FieldBase & | getField (FieldBase &field) const throw ( FieldNotFound )
| Get a field without type checking. More...
const std::string & | getField (int tag) const throw ( FieldNotFound )
| Get a field without a field class. More...
const FieldBase & | getFieldRef (int tag) const throw ( FieldNotFound )
| Get direct access to a field through a reference. More...
const FieldBase *const | getFieldPtr (int tag) const throw ( FieldNotFound )
| Get direct access to a field through a pointer. More...
bool | isSetField (const FieldBase &field) const
| Check to see if a field is set. More...
bool | isSetField (int tag) const
| Check to see if a field is set by referencing its number. More...
void | removeField (int tag)
| Remove a field. If field is not present, this is a no-op. More...
void | addGroup (int tag, const FieldMap &group, bool setCount=true)
| Add a group. More...
void | addGroupPtr (int tag, FieldMap *group, bool setCount=true)
| Acquire ownership of Group object. More...
void | replaceGroup (int num, int tag, const FieldMap &group)
| Replace a specific instance of a group. More...
FieldMap & | getGroup (int num, int tag, FieldMap &group) const throw ( FieldNotFound )
| Get a specific instance of a group. More...
FieldMap & | getGroupRef (int num, int tag) const throw ( FieldNotFound )
| Get direct access to a field through a reference. More...
FieldMap * | getGroupPtr (int num, int tag) const throw ( FieldNotFound )
| Get direct access to a field through a pointer. More...
void | removeGroup (int num, int tag)
| Remove a specific instance of a group. More...
void | removeGroup (int tag)
| Remove all instances of a group. More...
bool | hasGroup (int tag) const
| Check to see any instance of a group exists. More...
bool | hasGroup (int num, int tag) const
| Check to see if a specific instance of a group exists. More...
size_t | groupCount (int tag) const
| Count the number of instance of a group. More...
void | clear ()
| Clear all fields from the map. More...
bool | isEmpty ()
| Check if map contains any fields. More...
size_t | totalFields () const
std::string & | calculateString (std::string &) const
int | calculateLength (int beginStringField=FIELD::BeginString, int bodyLengthField=FIELD::BodyLength, int checkSumField=FIELD::CheckSum) const
int | calculateTotal (int checkSumField=FIELD::CheckSum) const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
g_iterator | g_begin ()
g_iterator | g_end ()
g_const_iterator | g_begin () const
g_const_iterator | g_end () const

## Private Types

enum | { REQUIRED_FIELDS = 1 }

## Additional Inherited Members

Public Types inherited from FIX::FieldMap
typedef std::vector< FieldBase, ALLOCATOR< FieldBase > > | Fields
typedef std::map< int, std::vector< FieldMap * >, std::less< int >, ALLOCATOR< std::pair< const int, std::vector< FieldMap * > > > > | Groups
typedef Fields::iterator | iterator
typedef Fields::const_iterator | const_iterator
typedef Groups::iterator | g_iterator
typedef Groups::const_iterator | g_const_iterator
Protected Member Functions inherited from FIX::FieldMap
| FieldMap (const message_order &order, int size)
void | addField (const FieldBase &field)
const FieldBase & | reverse_find (int tag) const
void | appendField (const FieldBase &field)
void | sortFields ()

## Detailed Description

Definition at line 93 of file Message.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

private

Enumerator
REQUIRED_FIELDS |

Definition at line 95 of file Message.h.

## Constructor & Destructor Documentation

## Trailer() [1/2]

FIX::Trailer::Trailer | ( |  | ) |

inline

Definition at line 98 of file Message.h.

{ FieldMap::removeGroup( num, group.field() ); }

## Trailer() [2/2]

FIX::Trailer::Trailer | ( | const message_order & | order | ) |

inline

Definition at line 101 of file Message.h.

{ FieldMap::removeGroup( group.field() ); }

References FIX::Group::field(), and FIX::FieldMap::removeGroup().

## Member Function Documentation

## addGroup()

void FIX::Trailer::addGroup | ( | const FIX::Group & | group | ) |

inline

Definition at line 104 of file Message.h.

{ return FieldMap::hasGroup( group.field() ); }

## getGroup()

Group& FIX::Trailer::getGroup | ( | unsigned | num,
|  | FIX::Group & | group
| ) |  | const
throw | ( | FieldNotFound
| ) |  |

inline

Definition at line 110 of file Message.h.

: public FieldMap

## hasGroup() [1/2]

bool FIX::Trailer::hasGroup | ( | const FIX::Group & | group | ) | const

inline

Definition at line 121 of file Message.h.

{ header, body, trailer };

References FIX::Message::body, FIX::Message::header, and FIX::Message::trailer.

## hasGroup() [2/2]

bool FIX::Trailer::hasGroup | ( | unsigned | num,
|  | const FIX::Group & | group
| ) |  | const

inline

Definition at line 123 of file Message.h.

:
Message();

## removeGroup() [1/2]

void FIX::Trailer::removeGroup | ( | const FIX::Group & | group | ) |

inline

Definition at line 118 of file Message.h.

{
friend class DataDictionary;

## removeGroup() [2/2]

void FIX::Trailer::removeGroup | ( | unsigned | num,
|  | const FIX::Group & | group
| ) |  |

inline

Definition at line 116 of file Message.h.

: public FieldMap

## replaceGroup()

void FIX::Trailer::replaceGroup | ( | unsigned | num,
|  | const FIX::Group & | group
| ) |  |

inline

Definition at line 107 of file Message.h.

{ return FieldMap::hasGroup( num, group.field() ); }

References FIX::Group::field(), and FIX::FieldMap::hasGroup().

The documentation for this class was generated from the following file:

- Message.h

FIX::FieldMap::hasGroup
bool hasGroup(int tag) const
Check to see any instance of a group exists.
Definition: FieldMap.cpp:185
FIX::FieldMap::FieldMap
FieldMap(const message_order &order, int size)
Definition: FieldMap.cpp:51
FIX::Group::field
int field() const
Definition: Group.h:90
FIX::FieldMap::Message
friend class Message
Definition: FieldMap.h:303
FIX::FieldMap::removeGroup
void removeGroup(int num, int tag)
Remove a specific instance of a group.
Definition: FieldMap.cpp:128